
package com.ejie.ab61.clientesWS.X43Procedimientos;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "X43FCP", targetNamespace = "com/ejie/x43s/v2/fcp/ws", wsdlLocation = "META-INF/wsdls/X43Procedimientos.wsdl")
public class X43FCP
    extends Service
{

    private final static URL X43FCP_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.X43Procedimientos.X43FCP.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.X43Procedimientos.X43FCP.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/X43Procedimientos.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43Procedimientos.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        X43FCP_WSDL_LOCATION = url;
    }

    public X43FCP(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public X43FCP() {
        super(X43FCP_WSDL_LOCATION, new QName("com/ejie/x43s/v2/fcp/ws", "X43FCP"));
    }

    /**
     * 
     * @return
     *     returns X43FCPPortType
     */
    @WebEndpoint(name = "X43FCPPort")
    public X43FCPPortType getX43FCPPort() {
        return super.getPort(new QName("com/ejie/x43s/v2/fcp/ws", "X43FCPPort"), X43FCPPortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns X43FCPPortType
     */
    @WebEndpoint(name = "X43FCPPort")
    public X43FCPPortType getX43FCPPort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/x43s/v2/fcp/ws", "X43FCPPort"), X43FCPPortType.class, features);
    }

}
